/********** IMPORTACION DE FUENTES **********/
@import url("https://fonts.googleapis.com/css?family=Roboto");

/********** VARIABLES **********/
:root {
    --bg-primary: #37b34a;
    --bg-secondary: #141418;
    --bg-shopping: #f6901e;
    --bg-selected: #ffc400;
    --bg-form: #f0f0f0;
    --text-primary: #646565;
    --text-secondary: #fff;
    --text-selected: #f6901e;
    --text-contact: #37b34a;
}

/********** NORMALIZE **********/
* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    font-family: "Roboto";
    box-sizing: border-box;
    outline: none;
    /* box-sizing: border-boxs
    Nos aseguramos que el relleno y el borde estan incluidas
    en el ancho total y la altura total de los elementos.
    */
}

/********** SECCION DE SELECTORES **********/

body {
    font-size: 16px;
    /* 1em=16px*/
}

li {
    display: inline;
}

/********** CLASES DE TEXTO **********/

.textHeader {
    font-size: 1em;
    color: var(--text-secondary);
}

.textLogo {
    font-size: 0.8rem;
    color: var(--text-primary);
    font-weight: bold;
    padding-left: 2.1875rem;
}

.textContact {
    font-size: 1.25em;
    color: var(--text-contact);
    font-weight: bold;
}

.textContactCallCenter {
    font-size: 1.25em;
    color: var(--text-contact);
    font-weight: bold;
}

.textTitle {
    font-size: 1.5em;
    color: var(--text-primary);
    font-weight: bold;
}

.textFlower {
    font-size: 1em;
    font-weight: bold;
    color: var(--text-contact);
}

.textPriceFlower {
    font-size: 1em;
    color: var(--text-primary);
    font-weight: bold;
}

.textAddShoppingCart {
    font-size: 1em;
    padding: 0px 0px 5px 0px;
    color: var(--text-secondary);
}

.textDateRemember {
    font-size: 1.5em;
    font-weight: bold;
    color: var(--text-secondary);
}

.textDateRememberHelp {
    font-size: 0.8em;
    color: var(--text-secondary);
}

.textTitleForm {
    font-size: 1.2em;
    color: var(--text-selected);
    font-weight: bold;
}

/********** CLASES DE CONTROLES DE FORMULARIO **********/

.inputSearch {
    font-size: 1em;
    border: 1px solid var(--text-primary);
    border-radius: 4px;
}

.inputForm {
    font-size: 1em;
    border: 0px;
    border: 1px solid var(--text-primary);
    border-radius: 2px;
    width: 80%;
    padding: 0px 9px 0px 9px;
    margin-top: 5px;
}

.buttonRemember {
    font-size: 1em;
    color: var(--text-selected);
    border: 0px;
    border-radius: 4px;
    padding: 0.5em;
}

.buttonRemember:hover {
    color: var(--text-secondary);
    background: var(--bg-shopping);
    cursor: pointer;
}

.buttonForm {
    font-size: 0.8em;
    color: var(--text-secondary);
    background: var(--text-contact);
    border: 0px;
    border-radius: 4px;
    padding: 10px 10px 10px 10px;
    text-align: right;
    margin-top: 2px;
    margin-bottom: 2px;
}

.buttonForm:hover {
    color: var(--text-primary);
    background: var(--bg-shopping);
    cursor: pointer;
}

/********** CLASES DE IMAGENES **********/

.imgTop {
    width: 1.8em;
}

.imgMenu {
    width: 2em;
    display: none;
}

.imgLogo {
    width: 2em;
    margin-top: 5px;
}

.imgContact {
    width: 2em;
}

.imgFlower {
    width: 9.375em;
}

.imgSearch {
    width: 1.5em;
}

.imgCalendar {
    width: 6em;
}

/********** CLASES DE RELLENO DE FONDO **********/

.backgroundTitle {
    padding: 0.2em 0em 0.2em 0em;
}

.backgroundShopping {
    background: var(--bg-shopping);
}

.backgroundShopping:hover {
    background: var(--bg-selected);
    height: 100%;
}

.backgroundAddShoppingCart {
    background: var(--bg-primary);
    border-radius: 0em 0em 0.625em 0.625em;
    width: 85%;
    margin: 0em 0em 0em 1em;
}

.backgroundDateRemember {
    margin-top: 0.625em;
    margin-bottom: 0.625em;
    padding-top: 0.3125em;

    background: var(--bg-primary);
    border-radius: 0.625em ;
    width: 95%;
}

.backgroundForm {
    margin-top: 0.625em;
    margin-bottom: 0.625em;
    padding: 0.3125em;
    background: var(--bg-form);
    border-radius: 0.625em ;
    width: 95%;
}

.backgroundLine {
    border-bottom: 0.05em solid #ccc;
    width: 100%;
}

.backgroundHeader:hover {
    background: var(--bg-selected);
    height: 100%;
}

.headerTop {
    background: var(--bg-primary);
}

/********** CLASES DE MENU **********/

.navItem {
    font-weight: bold;
    font-size: 1em;
    padding: 0.3125em 0.625em 0.3125em 0.625em;
    border-right: 1px solid #ccc;
    color: var(--text-primary);
}

.navItem:hover {
    color: var(--text-selected);
}

.footerItem {
    color: var(--text-secondary);
    font-size: 0.9em;
    padding: 0px 10px 0px 10px;
    border-right: 1px solid #ccc;
}

/********** CLASES DEL SLIDER **********/

.contenedorSlider {
    padding: 0em 0 10em 0;
    text-align: center;
    overflow: hidden;
    position: relative;
}

.contenedorSlider #slider li {
    width: 17.5em;
    height: 12.5em;
    overflow: hidden;
    box-shadow: 0em 0em 3em 0em rgba(4, 6, 9, 0.5);
    position: absolute;
    z-index: 3;
    border-radius: .55em .55em 0 0;
}

.contenedorSlider #slider li img {
    width: 100%;
}

.contenedorSlider #slider li:nth-child(1) {
    left: 30%;
    margin-left: -12.5em;
    bottom: -1.25em;
    right: 0;
    transform: scale(.8, .8);
    z-index: 1;
}

.contenedorSlider #slider li:nth-child(2) {
    left: 50%;
    margin-left: -12.5em;
    z-index: 3;
    bottom: 0;
}

.contenedorSlider #slider li:nth-child(3) {
    left: 71%;
    margin-left: -12.5em;
    bottom: -1.25em;
    right: 0;
    transform: scale(.8, .8);
    z-index: 2;
}

/********** CLASES DE GRILLA 12 COLUMNAS **********/

.contenedor {
    position: relative;
    margin: auto;
    width: 100%;
    height: auto;
}

.fila {
    position: relative;
    margin: auto;
    width: 100%;
    height: 100%;
    clear: both;
    display: table;
    /*
    Las columnas dentro de la fila estan flotando a la izquierda, y por lo tanto estan fuera del flujo de la página
    por lo tanto se usa clear: both y  display: table
    */
}

[class*="col-"] {
    float: left;
    padding: 0px;
    text-align: center;
    padding: 1px;
}

/********** MEDIAS QUERIES **********/

/********** PANTALLAS DE ESCRITORIO GRANDES - LARGE - LG **********/
@media (min-width:1200px) {
    .col-lg-12 {
        width: 100%;
    }
    .col-lg-11 {
        width: 81.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-10 {
        width: 83.33333333%;
    }
    .col-lg-9 {
        width: 75%;
    }
    .col-lg-8 {
        width: 66.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-7 {
        width: 58.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-6 {
        width: 50%;
    }
    .col-lg-5 {
        width: 41.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-4 {
        width: 33.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-3 {
        width: 25%;
    }
    .col-lg-2 {
        width: 16.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-1 {
        width: 8.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-lg-0 {
        display: none;
    }
}

/********** PANTALLAS DE ESCRITORIO MEDIANOS O TABLES HORIZONTALES- MEDIUM - MD **********/

@media(min-width:992px) and (max-width:1199px) {
    body {
        font-size: 13px;
    }
    .col-md-12 {
        width: 100%;
    }
    .col-md-11 {
        width: 81.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-10 {
        width: 83.33333333%;
    }
    .col-md-9 {
        width: 75%;
    }
    .col-md-8 {
        width: 66.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-7 {
        width: 58.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-6 {
        width: 50%;
    }
    .col-md-5 {
        width: 41.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-4 {
        width: 33.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-3 {
        width: 25%;
    }
    .col-md-2 {
        width: 16.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-1 {
        width: 8.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-md-0 {
        display: none;
    }
}

/********** PANTALLAS DE TABLETS - SMALL - SM **********/
@media (min-width:768px) and (max-width:991px){
    body {
        font-size: 20px;
    }
    .imgMenu {
        display: inline-block;
    }
    .navItemHiden {
        display: none;
    }
    .textContact{
        display: none;
    }
    .col-sm-12 {
        width: 100%;
    }
    .col-sm-11 {
        width: 81.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-10 {
        width: 83.33333333%;
    }
    .col-sm-9 {
        width: 75%;
    }
    .col-sm-8 {
        width: 66.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-7 {
        width: 58.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-6 {
        width: 50%;
    }
    .col-sm-5 {
        width: 41.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-4 {
        width: 33.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-3 {
        width: 25%;
    }
    .col-sm-2 {
        width: 16.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-1 {
        width: 8.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-sm-0 {
        display: none;
    }
}

/********** PANTALLAS DE CELULARES - EXTRA SMALL - XS 767 **********/

@media(max-width:767px) {
    body {
        font-size: 12px;
    }
    .col-xs-12 {
        width: 100%;
    }
    .col-xs-11 {
        width: 81.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-10 {
        width: 83.33333333%;
    }
    .col-xs-9 {
        width: 75%;
    }
    .col-xs-8 {
        width: 66.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-7 {
        width: 58.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-6 {
        width: 50%;
    }
    .col-xs-5 {
        width: 41.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-4 {
        width: 33.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-3 {
        width: 25%;
    }
    .col-xs-2 {
        width: 16.66666667%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-1 {
        width: 8.33333333%;
        /*Se recomienda usar 8 descimales para ser más precisos.-->*/
    }
    .col-xs-0 {
        display: none;
    }
}
